Xerces-C++ 3.2.0

Protected Attributes | List of all members
XSFacet Class Reference
Inheritance diagram for XSFacet:

## Public Member Functions
Constructors
| XSFacet (XSSimpleTypeDefinition::FACET facetKind, const XMLCh *const lexicalValue, bool isFixed, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSFacet ()
XSFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
const XMLCh * | getLexicalFacetValue () const
bool | isFixed () const
| Check whether a facet value is fixed. More...
XSAnnotation * | getAnnotation () const
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Attributes
XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
const XMLCh * | fLexicalValue
XSAnnotation * | fAnnotation
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ XSFacet()

XSFacet::XSFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | const XMLCh *const | lexicalValue,
|  | bool | isFixed,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  facetKind |
  lexicalValue |
  isFixed |
  annot |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSFacet()

XSFacet::~XSFacet | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotation()

XSAnnotation * XSFacet::getAnnotation | ( |  | ) | const

Returns
  an annotation

References XERCES_CPP_NAMESPACE_END.

## ◆ getFacetKind()

XSSimpleTypeDefinition::FACET XSFacet::getFacetKind | ( |  | ) | const

Returns
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

## ◆ getLexicalFacetValue()

const XMLCh * XSFacet::getLexicalFacetValue | ( |  | ) | const

Returns
  Returns a value of a constraining facet.

## ◆ isFixed()

bool XSFacet::isFixed | ( |  | ) | const

Check whether a facet value is fixed.

## Member Data Documentation

## ◆ fAnnotation

XSAnnotation* XSFacet::fAnnotation
| protected

## ◆ fFacetKind

XSSimpleTypeDefinition::FACET XSFacet::fFacetKind
| protected

## ◆ fIsFixed

bool XSFacet::fIsFixed
| protected

## ◆ fLexicalValue

const XMLCh* XSFacet::fLexicalValue
| protected

The documentation for this class was generated from the following file:

- XSFacet.hpp